export type LaptopCreatePredictType = {
  processor: string;
  ram: number;
  os: string;
  ssd: number;
  display_size: number;
  resolution: string;
  matrix_type: string;
  gpu: string;
};

export type LaptopGetDataPredictType = {
  processor: string[];
  ram: number[];
  os: string[];
  ssd: number[];
  display_size: number[];
  resolution: string[];
  matrix_type: string[];
  gpu: string[];
};

export type TVCreatePredictType = {
  display: string;
  tuners: string;
  features: string;
  os: string;
  power_of_volume: string;
  screen_size: number;
  color: string;
};

export type TVGetDataPredictType = {
  display: string[];
  tuners: string[];
  features: string[];
  os: string[];
  power_of_volume: string[];
  screen_size: number[];
  color: string[];
};

export type PredictResponseType = {
  predicted_price?: number;
};
